Skip to main content
POST
/
invoices
/
{id}
/
finalize
Finalize an invoice
curl --request POST \
  --url https://payoes.com/api/v1/invoices/{id}/finalize \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://payoes.com/api/v1/invoices/{id}/finalize"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://payoes.com/api/v1/invoices/{id}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "invoice": {
    "id": "inv_abc123xyz",
    "object": "invoice",
    "invoice_number": "INV-000001",
    "amount": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "settlement_asset": {
      "asset_code": "USDC",
      "issuer_address": "<string>"
    },
    "allowed_assets": [
      {
        "asset_code": "USDC",
        "issuer_address": "<string>"
      }
    ],
    "description": "<string>",
    "metadata": {},
    "customer_id": "<string>",
    "checkout_session_id": "<string>",
    "checkout_url": "<string>",
    "hosted_invoice_url": "<string>",
    "items": [
      {
        "description": "<string>",
        "quantity": "<string>",
        "unit_amount": "10.5"
      }
    ],
    "due_at": "2023-11-07T05:31:56Z",
    "paid_at": "2023-11-07T05:31:56Z",
    "sent_at": "2023-11-07T05:31:56Z"
  },
  "checkout_url": "<string>"
}
{
"error": "Settlement wallet is not configured"
}
{
"error": "Unauthorized"
}

Authorizations

Authorization
string
header
required

API key from the Payoes dashboard (pk_test_... or pk_live_...)

Path Parameters

id
string
required

Public invoice ID

Example:

"inv_abc123xyz"

Response

Invoice finalized

invoice
object
required
checkout_url
string<uri>
required